<?php
/**
 * Default theme options.
 *
 * @package Jumla
 */

if (!function_exists('jumla_get_default_theme_options')):

/**
 * Get default theme options
 *
 * @since 1.0.0
 *
 * @return array Default theme options.
 */
function jumla_get_default_theme_options() {

	$defaults = array();

	// Slider Section.
	$defaults['show_slider_section']           = 1;
	$defaults['number_of_home_slider']         = 3;
	$defaults['number_of_content_home_slider'] = 20;
	$defaults['select_slider_from']            = 'from-category';
	$defaults['select_category_for_slider']    = 1;
	$defaults['show_cat_post_list']    = 1;
	$defaults['select_category_for_list']    = 1;
	$defaults['button_text_on_slider']         = esc_html__('Read More', 'jumla');
    $defaults['show_intro_section_section']    = 0;

	/*layout*/
	$defaults['disable_center_nav']    = 0;
	$defaults['enable_overlay_option']    = 1;
	$defaults['homepage_layout_option']   = 'full-width';
	$defaults['read_more_button_text']    = esc_html__('Continue Reading', 'jumla');
	$defaults['global_layout']            = 'right-sidebar';
	$defaults['excerpt_length_global']    = 23;
	$defaults['enable_archive_category']    = 1;
	$defaults['enable_archive_post_date']    = 1;
	$defaults['enable_archive_post_by']    = 1;
	$defaults['enable_author_info_in_single']    = 1;
	$defaults['enable_related_post_in_single']    = 1;

	$defaults['single_post_image_layout'] = 'full';
	$defaults['pagination_type']          = 'infinite_scroll_load';
	$defaults['copyright_text']           = esc_html__('Copyright All right reserved', 'jumla');
	$defaults['number_of_footer_widget']  = 3;
	$defaults['breadcrumb_type']          = 'simple';
	$defaults['enable_copyright_credit']  = 1;

	/*preloader*/
	$defaults['enable_preloader']         		= 1;
	$defaults['enable_sitetitle_on_preloader']  = 1;
    $defaults['preloader_additional_text']		= esc_html__( 'Loading', 'jumla' );

    /*font and color*/
    $defaults['primary_color']					= '#d72828';
    $defaults['secondary_color']				= '#2b2b2b';
    $defaults['text_size_title_font_big']					= 26;
    $defaults['text_size_title_font_small']					= 16;
    $defaults['primary_font'] 					= 'Libre+Franklin:400,400i,500,500i,700,700i';
    $defaults['secondary_font'] 				= 'Playfair+Display:400,400i,700,700i';
    $defaults['text_size_p']					= 14;

	// Pass through filter.
	$defaults = apply_filters('jumla_filter_default_theme_options', $defaults);

	return $defaults;

}

endif;
